# std::pointer_to_unary_function< Arg, Result > Class Template Reference
[Adaptors for pointers to functions]

One of the adaptors for function pointers. More...

`#include <stl_function.h>`

Inheritance diagram for std::pointer_to_unary_function< Arg, Result >:

[legend]
Collaboration diagram for std::pointer_to_unary_function< Arg, Result >:

[legend]
List of all members.

## Public Types

typedef Arg | argument_type
| `argument_type` is the type of the
typedef Result | result_type
| `result_type` is the return type

## Detailed Description

### template<class Arg, class Result>
class std::pointer_to_unary_function< Arg, Result >

One of the adaptors for function pointers.

Definition at line 481 of file stl_function.h.

## Member Typedef Documentation

template<class Arg, class Result>
typedef Arg std::unary_function< Arg, Result >::argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

template<class Arg, class Result>
typedef Result std::unary_function< Arg, Result >::result_type `[inherited]`

| `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h